var path = require('path');
var src = (process.argv.indexOf('-p') === -1);
var filenamePostfix = src ? '.src': '';


module.exports = {
  entry: {
    // Array syntax to workaround https://github.com/webpack/webpack/issues/300
    'index': ['./src/Highcharts.jsx'],
    'highcharts': ['./src/Highcharts.jsx'],
    'highstock': ['./src/Highstock.jsx'],
    'highmaps': ['./src/Highmaps.jsx'],
    'RedrawOnPrint': ['./src/RedrawOnPrint.jsx'],
    'bundle/index': './src/bundle/Highcharts.jsx',
    'bundle/highcharts': './src/bundle/Highcharts.jsx',
    'bundle/highstock': './src/bundle/Highstock.jsx',
    'bundle/highmaps': './src/bundle/Highmaps.jsx'

  },
  module: {
    loaders: [
      {
        test: /\.jsx$/,
        loader: 'babel'
      }
    ]
  },
  externals: [
    {
      'react': true
    }
  ],
  resolve: {
    modulesDirectories: ['node_modules']
  },
  output: {
    filename: 'dist/[name]' + filenamePostfix + '.js',
    libraryTarget: 'umd',
    library: 'Highcharts'
  }
};
